1.0.8 breaks 1.0.7 Rated 2 out of 5 stars

1.0.8 broke 1.0.7 for me on FF 3.6 & XP Pro SP3, and attempting to open Stealther Options froze the Add-ons Manager. I had previously forced 1.0.7 compatibility with FF 3.6 via Mr. Tech Toolkit and it worked fine. All attempts to get 1.0.8 working failed. Fortunately, I had a recent FF backup to recover with.